Bug 185889 - [PATCH] databases/percona55-server: update to 5.5.35
[PATCH] databases/percona55-server: update to 5.5.35
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Florian Smeets
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-19 18:20 UTC by jim
Modified: 2014-01-19 20:30 UTC (History)
1 user (show)

See Also:


Attachments
percona55-server-5.5.35.33.0.patch (4.37 KB, patch)
2014-01-19 18:20 UTC, jim
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jim 2014-01-19 18:20:00 UTC
	-upgrade to 5.5.35.33.0
	-edited two patch files so they would apply cleanly
	-minor Makefile edits so portlint won't throw "Fatal" errors

Port maintainer (flo@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_11 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2014-01-19 18:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->flo

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2014-01-19 20:21:08 UTC
Author: flo
Date: Sun Jan 19 20:21:00 2014
New Revision: 340348
URL: http://svnweb.freebsd.org/changeset/ports/340348
QAT: https://qat.redports.org/buildarchive/r340348/

Log:
  - Update to 5.5.35-33.0
  - Pet portlint
  
  PR:		ports/185889
  Submitted by:	Jim Ohlstein <jim@selenium.jlkhosting.com>

Modified:
  head/databases/percona55-server/Makefile
  head/databases/percona55-server/distinfo
  head/databases/percona55-server/files/patch-libmysql_CMakeLists.txt
  head/databases/percona55-server/files/patch-storage__innobase__handler__i_s.cc

Modified: head/databases/percona55-server/Makefile
==============================================================================
--- head/databases/percona55-server/Makefile	Sun Jan 19 20:17:37 2014	(r340347)
+++ head/databases/percona55-server/Makefile	Sun Jan 19 20:21:00 2014	(r340348)
@@ -1,13 +1,12 @@
 # $FreeBSD$
 
 PORTNAME?=	percona
-DISTVERSION=	5.5.34-32.0
-DISTNAME=	Percona-Server-5.5.34-rel32.0
+DISTVERSION=	5.5.35-33.0
 PORTREVISION?=	0
 CATEGORIES=	databases ipv6
 MASTER_SITES=	http://www.percona.com/downloads/Percona-Server-5.5/${DISTNAME}/source/
-MASTER_SITE_SUBDIR=	MySQL-5.5
 PKGNAMESUFFIX?=	55-server
+DISTNAME=	Percona-Server-5.5.35-rel33.0
 
 MAINTAINER=	flo@FreeBSD.org
 COMMENT?=	Multithreaded SQL database (server)

Modified: head/databases/percona55-server/distinfo
==============================================================================
--- head/databases/percona55-server/distinfo	Sun Jan 19 20:17:37 2014	(r340347)
+++ head/databases/percona55-server/distinfo	Sun Jan 19 20:21:00 2014	(r340348)
@@ -1,2 +1,2 @@
-SHA256 (Percona-Server-5.5.34-rel32.0.tar.gz) = 775931aba537dea4fcd4ff6d37f2f30ce24921c79cef17f0c9c595222f95a741
-SIZE (Percona-Server-5.5.34-rel32.0.tar.gz) = 22579884
+SHA256 (Percona-Server-5.5.35-rel33.0.tar.gz) = ffa9335fc6ee204b13c5d6ebe32709f2b5bc930665e8000db1864555a02049b8
+SIZE (Percona-Server-5.5.35-rel33.0.tar.gz) = 22465700

Modified: head/databases/percona55-server/files/patch-libmysql_CMakeLists.txt
==============================================================================
--- head/databases/percona55-server/files/patch-libmysql_CMakeLists.txt	Sun Jan 19 20:17:37 2014	(r340347)
+++ head/databases/percona55-server/files/patch-libmysql_CMakeLists.txt	Sun Jan 19 20:21:00 2014	(r340348)
@@ -1,6 +1,6 @@
---- libmysql/CMakeLists.txt.orig	2010-12-03 18:58:26.000000000 +0100
-+++ libmysql/CMakeLists.txt	2010-12-23 22:01:37.000000000 +0100
-@@ -153,13 +153,14 @@
+--- libmysql/CMakeLists.txt.orig	2014-01-19 11:47:44.423382348 -0500
++++ libmysql/CMakeLists.txt	2014-01-19 12:08:16.021297429 -0500
+@@ -165,7 +165,7 @@
  
  # Merge several convenience libraries into one big mysqlclient
  # and link them together into shared library.
@@ -8,15 +8,16 @@
 +MERGE_LIBRARIES(mysqlclient STATIC ${LIBS} COMPONENT Development NOINSTALL)
  
  # Visual Studio users need debug  static library for debug projects
- IF(MSVC)
-  INSTALL_DEBUG_TARGET(mysqlclient DESTINATION ${INSTALL_LIBDIR}/debug)
+ INSTALL_DEBUG_SYMBOLS(clientlib)
+@@ -174,6 +174,7 @@
+  INSTALL_DEBUG_TARGET(clientlib DESTINATION ${INSTALL_LIBDIR}/debug)
  ENDIF()
  
 +IF(FALSE)
  IF(UNIX)
    MACRO(GET_VERSIONED_LIBNAME LIBNAME EXTENSION VERSION OUTNAME)
      SET(DOT_VERSION ".${VERSION}")
-@@ -174,9 +175,11 @@
+@@ -188,9 +189,11 @@
    ENDMACRO()
    INSTALL_SYMLINK(${CMAKE_STATIC_LIBRARY_PREFIX}mysqlclient_r.a mysqlclient ${INSTALL_LIBDIR} Development)
  ENDIF()
@@ -25,11 +26,11 @@
  IF(NOT DISABLE_SHARED)
 -  MERGE_LIBRARIES(libmysql SHARED ${LIBS} EXPORTS ${CLIENT_API_FUNCTIONS} COMPONENT SharedLibraries)
 +  MERGE_LIBRARIES(libmysql SHARED ${LIBS} EXPORTS ${CLIENT_API_FUNCTIONS} COMPONENT SharedLibraries NOINSTALL)
-+IF(FALSE)
++  IF(FALSE)
    IF(UNIX)
      # libtool compatability
      IF(CMAKE_SYSTEM_NAME MATCHES "FreeBSD" OR APPLE)
-@@ -223,3 +226,4 @@
+@@ -240,3 +243,4 @@
      ENDFOREACH()
    ENDIF()
  ENDIF()

Modified: head/databases/percona55-server/files/patch-storage__innobase__handler__i_s.cc
==============================================================================
--- head/databases/percona55-server/files/patch-storage__innobase__handler__i_s.cc	Sun Jan 19 20:17:37 2014	(r340347)
+++ head/databases/percona55-server/files/patch-storage__innobase__handler__i_s.cc	Sun Jan 19 20:21:00 2014	(r340348)
@@ -1,20 +1,23 @@
---- storage/innobase/handler/i_s.cc.orig	2013-08-27 16:58:46.000000000 +0200
-+++ storage/innobase/handler/i_s.cc	2013-09-30 19:31:59.983048770 +0200
-@@ -48,14 +48,18 @@
- #include "btr0types.h"
+--- storage/innobase/handler/i_s.cc.orig	2013-12-02 01:43:24.000000000 -0500
++++ storage/innobase/handler/i_s.cc	2014-01-19 12:21:24.113243651 -0500
+@@ -49,17 +49,21 @@
  #include "buf0buddy.h"
  #include "buf0buf.h"
-+#include "buf0lru.h"
+ #include "buf0lru.h"
 +#include "dict0load.h"
++#include "buf0lru.h"
  #include "ibuf0ibuf.h"
  #include "dict0mem.h"
  #include "dict0types.h"
  #include "dict0boot.h"
+ #include "dict0load.h"
  #include "ha_prototypes.h"
 +#include "srv0srv.h"
  #include "srv0start.h"
+ #include "srv0srv.h"
  #include "trx0i_s.h"
  #include "trx0rseg.h"
+ #include "trx0trx.h"
 +#include "trx0trx.h"
  #include "trx0undo.h"
  #include "log0online.h"
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Florian Smeets freebsd_committer 2014-01-19 20:22:13 UTC
State Changed
From-To: open->closed

Committed. Thanks!